Net::DNS::RR::SRV(3)

NAME
Net::DNS::RR::SRV - DNS SRV resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Service (SRV) resource records.

METHODS

  priority
    print "priority = ", $rr->priority, "\n";

Returns the priority for this target host.

  weight
    print "weight = ", $rr->weight, "\n";

Returns the weight for this target host.

  port
    print "port = ", $rr->port, "\n";

Returns the port on this target host for the service.

  target
    print "target = ", $rr->target, "\n";

Returns the target host.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 2782